Freeciv-3.3: hud_units Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes
hud_units Class Reference

`#include <hudwidget.h>`

Inheritance diagram for hud_units:

## Public Member Functions

| hud_units (QWidget *parent)
| ~hud_units ()
void | update_actions (unit_list *punits)

## Protected Member Functions

void | moveEvent (QMoveEvent *event)

## Private Attributes

click_label | unit_label
click_label | tile_label
QLabel | text_label
QFont * | ufont
QHBoxLayout * | main_layout
unit_actions * | unit_icons
move_widget * | mw
unit_list * | ul_units
tile * | current_tile

## Detailed Description

Definition at line 205 of file hudwidget.h.

## Constructor & Destructor Documentation

## ◆ hud_units()

hud_units::hud_units | ( | QWidget * | parent | ) |

Constructor for hud_units (holds layout for whole uunits info)

Definition at line 523 of file hudwidget.cpp.

## ◆ ~hud_units()

hud_units::~hud_units | ( |  | ) |

Hud_units destructor

Definition at line 558 of file hudwidget.cpp.

## Member Function Documentation

## ◆ moveEvent()

void hud_units::moveEvent | ( | QMoveEvent * | event | ) |

protected

Move Event for hud_units, used to save position

Definition at line 565 of file hudwidget.cpp.

## ◆ update_actions()

void hud_units::update_actions | ( | unit_list * | punits | ) |

Update possible action for given units

Definition at line 576 of file hudwidget.cpp.

Referenced by fc_game_tab_widget::resizeEvent().

## Field Documentation

## ◆ current_tile

tile* hud_units::current_tile

private

Definition at line 223 of file hudwidget.h.

## ◆ main_layout

QHBoxLayout* hud_units::main_layout

private

Definition at line 212 of file hudwidget.h.

Referenced by hud_units().

## ◆ mw

move_widget* hud_units::mw

private

Definition at line 221 of file hudwidget.h.

Referenced by hud_units(), and update_actions().

## ◆ text_label

QLabel hud_units::text_label

private

Definition at line 210 of file hudwidget.h.

Referenced by hud_units(), and update_actions().

## ◆ tile_label

click_label hud_units::tile_label

private

Definition at line 209 of file hudwidget.h.

Referenced by hud_units(), and update_actions().

## ◆ ufont

QFont* hud_units::ufont

private

Definition at line 211 of file hudwidget.h.

## ◆ ul_units

unit_list* hud_units::ul_units

private

Definition at line 222 of file hudwidget.h.

## ◆ unit_icons

unit_actions* hud_units::unit_icons

private

Definition at line 213 of file hudwidget.h.

Referenced by hud_units(), and update_actions().

## ◆ unit_label

click_label hud_units::unit_label

private

Definition at line 208 of file hudwidget.h.

Referenced by hud_units(), and update_actions().